<?php

/********************************************************************
GLOBAL CALL
********************************************************************/

$cpanel['name'] = 'mytheme';
$cpanel['lib'] = TEMPLATEPATH.'/cpanel/lib.php';
$cpanel['cpanel'] = TEMPLATEPATH.'/cpanel/cpanel.php';
$cpanel['modules_dir'] = TEMPLATEPATH.'/cpanel/modules/';
$cpanel['img_dir'] = get_template_directory_uri().'/cpanel/img/';
$cpanel['js_dir'] = get_template_directory_uri().'/cpanel/js/';
$cpanel['css_dir'] = get_template_directory_uri().'/cpanel/css/';
require_once $cpanel['lib'];
require_once $cpanel['cpanel'];

/********************************************************************
*********************************************************************
********************************************************************/

/********************************************************************
register sidebar widgets
********************************************************************/
if (function_exists('register_sidebar'))
register_sidebar(array(
'name'=>'Main Sidebar',
'before_widget' => '<li id="%1$s" class="widget %2$s">',
'after_widget' => '<span class="foot"></span></li>',
'before_title' => '<h2>',
'after_title' => '<a href="#minimize" class="Wminimize"></a><a href="#close" class="Wclose"></a></h2>'
));
register_sidebar(array(
'name'=>'Left Sidebar',
'before_widget' => '<li id="%1$s" class="widget %2$s">',
'after_widget' => '<span class="foot_s"></span></li>',
'before_title' => '<h2>',
'after_title' => '</h2>'
));
register_sidebar(array(
'name'=>'Right Sidebar',
'before_widget' => '<li id="%1$s" class="widget %2$s">',
'after_widget' => '<span class="foot_s"></span></li>',
'before_title' => '<h2>',
'after_title' => '</h2>'
));

/********************************************************************
detecting videos archive
********************************************************************/
function get_video_cat_tpl($cat) {

	// this theme
	global $options;
	$subject = get_category_parents($cat, FALSE, ' ', FALSE);
	$pattern = '/^'. get_cat_name($options['videos']) .'/';

	if (preg_match($pattern, $subject)) :
		include TEMPLATEPATH. '/category-videos.php';
	else :
		include TEMPLATEPATH. '/archive.php';
	endif;

}

?>